DES-SERT - A Simple and Extensible Routing Framework for Testbeds: dessert_agentx_appstats Struct Reference

# dessert_agentx_appstats Struct Reference
[NET - S N M P // A G E N T _ X]

An abstract data type representing some statistical datum. More...

`#include <dessert.h>`

Collaboration diagram for dessert_agentx_appstats:
[legend]

## Data Fields
struct dessert_agentx_appstats * | prev
| A prev pointer.
struct dessert_agentx_appstats * | next
| A next pointer.
char | name [256]
| The name of the datum.
char | desc [256]
| A description of the datum.
int | value_type
| The type of the datum.
int | node_or_link
| Indicates if this datum contains information about a node or a link.
uint8_t | macaddress1 [ETHER_ADDR_LEN]
| Field representing a mac address if this datum contains information about a node or a link.
uint8_t | macaddress2 [ETHER_ADDR_LEN]
| Field representing a mac address if this datum contains information about a link.
union {
uint8_t bool
| A boolean.
int32_t int32
| A 32bit signed integer.
uint32_t uint32
| A 32bit unsigned integer.
uint64_t counter64
| A 64bit unsigned integer with counter semantics.
struct {
uint8_t octetstring_len
| The length of the octetstring field.
char * octetstring
| Character pointer to some raw bytes.
} |
}; |

## Detailed Description

An abstract data type representing some statistical datum.

## Field Documentation

uint8_t dessert_agentx_appstats::bool

A boolean.

See also:
  For valid values please refer to:
  DESSERT_APPSTATS_BOOL_TRUE
  DESSERT_APPSTATS_BOOL_FALSE

int32_t dessert_agentx_appstats::int32

A 32bit signed integer.

uint8_t dessert_agentx_appstats::macaddress1[ETHER_ADDR_LEN]

Field representing a mac address if this datum contains information about a node or a link.

uint8_t dessert_agentx_appstats::macaddress2[ETHER_ADDR_LEN]

Field representing a mac address if this datum contains information about a link.

char dessert_agentx_appstats::name[256]

The name of the datum.

int dessert_agentx_appstats::node_or_link

Indicates if this datum contains information about a node or a link.

See also:
  For valid values please refer to:
  DESSERT_APPSTATS_NODEORLINK_NONE
  DESSERT_APPSTATS_NODEORLINK_NODE
  DESSERT_APPSTATS_NODEORLINK_LINK

char* dessert_agentx_appstats::octetstring

Character pointer to some raw bytes.

uint8_t dessert_agentx_appstats::octetstring_len

The length of the octetstring field.

uint32_t dessert_agentx_appstats::uint32

A 32bit unsigned integer.

int dessert_agentx_appstats::value_type

The type of the datum.

See also:
  For valid values please refer to:
  DESSERT_APPSTATS_VALUETYPE_BOOL
  DESSERT_APPSTATS_VALUETYPE_INT32
  DESSERT_APPSTATS_VALUETYPE_UINT32
  DESSERT_APPSTATS_VALUETYPE_COUNTER64
  DESSERT_APPSTATS_VALUETYPE_OCTETSTRING

The documentation for this struct was generated from the following file:

- dessert.h